Winsvc.ChangeServiceConfig2Info (JNA API)

com.sun.jna.platform.win32

## Class Winsvc.ChangeServiceConfig2Info

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winsvc.ChangeServiceConfig2Info

- Direct Known Subclasses:
    Winsvc.SERVICE_DESCRIPTION, Winsvc.SERVICE_FAILURE_ACTIONS, Winsvc.SERVICE_FAILURE_ACTIONS_FLAG
  Enclosing interface:
    Winsvc

      public abstract static class Winsvc.ChangeServiceConfig2Info
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeServiceConfig2Info()`
    `ChangeServiceConfig2Info(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeServiceConfig2Info

          public ChangeServiceConfig2Info()

    - #### ChangeServiceConfig2Info

          public ChangeServiceConfig2Info(Pointer p)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.